package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyLqxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyLqxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andLqidIsNull() {
            addCriterion("LQID is null");
            return (Criteria) this;
        }

        public Criteria andLqidIsNotNull() {
            addCriterion("LQID is not null");
            return (Criteria) this;
        }

        public Criteria andLqidEqualTo(String value) {
            addCriterion("LQID =", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotEqualTo(String value) {
            addCriterion("LQID <>", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidGreaterThan(String value) {
            addCriterion("LQID >", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidGreaterThanOrEqualTo(String value) {
            addCriterion("LQID >=", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidLessThan(String value) {
            addCriterion("LQID <", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidLessThanOrEqualTo(String value) {
            addCriterion("LQID <=", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidLike(String value) {
            addCriterion("LQID like", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotLike(String value) {
            addCriterion("LQID not like", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidIn(List<String> values) {
            addCriterion("LQID in", values, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotIn(List<String> values) {
            addCriterion("LQID not in", values, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidBetween(String value1, String value2) {
            addCriterion("LQID between", value1, value2, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotBetween(String value1, String value2) {
            addCriterion("LQID not between", value1, value2, "lqid");
            return (Criteria) this;
        }

        public Criteria andJcsjIsNull() {
            addCriterion("JCSJ is null");
            return (Criteria) this;
        }

        public Criteria andJcsjIsNotNull() {
            addCriterion("JCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJcsjEqualTo(Date value) {
            addCriterion("JCSJ =", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotEqualTo(Date value) {
            addCriterion("JCSJ <>", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjGreaterThan(Date value) {
            addCriterion("JCSJ >", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjGreaterThanOrEqualTo(Date value) {
            addCriterion("JCSJ >=", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjLessThan(Date value) {
            addCriterion("JCSJ <", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjLessThanOrEqualTo(Date value) {
            addCriterion("JCSJ <=", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjIn(List<Date> values) {
            addCriterion("JCSJ in", values, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotIn(List<Date> values) {
            addCriterion("JCSJ not in", values, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjBetween(Date value1, Date value2) {
            addCriterion("JCSJ between", value1, value2, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotBetween(Date value1, Date value2) {
            addCriterion("JCSJ not between", value1, value2, "jcsj");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNull() {
            addCriterion("HWBM is null");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNotNull() {
            addCriterion("HWBM is not null");
            return (Criteria) this;
        }

        public Criteria andHwbmEqualTo(String value) {
            addCriterion("HWBM =", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotEqualTo(String value) {
            addCriterion("HWBM <>", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThan(String value) {
            addCriterion("HWBM >", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThanOrEqualTo(String value) {
            addCriterion("HWBM >=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThan(String value) {
            addCriterion("HWBM <", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThanOrEqualTo(String value) {
            addCriterion("HWBM <=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLike(String value) {
            addCriterion("HWBM like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotLike(String value) {
            addCriterion("HWBM not like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmIn(List<String> values) {
            addCriterion("HWBM in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotIn(List<String> values) {
            addCriterion("HWBM not in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmBetween(String value1, String value2) {
            addCriterion("HWBM between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotBetween(String value1, String value2) {
            addCriterion("HWBM not between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNull() {
            addCriterion("CFBH is null");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNotNull() {
            addCriterion("CFBH is not null");
            return (Criteria) this;
        }

        public Criteria andCfbhEqualTo(String value) {
            addCriterion("CFBH =", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotEqualTo(String value) {
            addCriterion("CFBH <>", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThan(String value) {
            addCriterion("CFBH >", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThanOrEqualTo(String value) {
            addCriterion("CFBH >=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThan(String value) {
            addCriterion("CFBH <", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThanOrEqualTo(String value) {
            addCriterion("CFBH <=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLike(String value) {
            addCriterion("CFBH like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotLike(String value) {
            addCriterion("CFBH not like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhIn(List<String> values) {
            addCriterion("CFBH in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotIn(List<String> values) {
            addCriterion("CFBH not in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhBetween(String value1, String value2) {
            addCriterion("CFBH between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotBetween(String value1, String value2) {
            addCriterion("CFBH not between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNull() {
            addCriterion("CFMC is null");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNotNull() {
            addCriterion("CFMC is not null");
            return (Criteria) this;
        }

        public Criteria andCfmcEqualTo(String value) {
            addCriterion("CFMC =", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotEqualTo(String value) {
            addCriterion("CFMC <>", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThan(String value) {
            addCriterion("CFMC >", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThanOrEqualTo(String value) {
            addCriterion("CFMC >=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThan(String value) {
            addCriterion("CFMC <", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThanOrEqualTo(String value) {
            addCriterion("CFMC <=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLike(String value) {
            addCriterion("CFMC like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotLike(String value) {
            addCriterion("CFMC not like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcIn(List<String> values) {
            addCriterion("CFMC in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotIn(List<String> values) {
            addCriterion("CFMC not in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcBetween(String value1, String value2) {
            addCriterion("CFMC between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotBetween(String value1, String value2) {
            addCriterion("CFMC not between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andCfwwIsNull() {
            addCriterion("CFWW is null");
            return (Criteria) this;
        }

        public Criteria andCfwwIsNotNull() {
            addCriterion("CFWW is not null");
            return (Criteria) this;
        }

        public Criteria andCfwwEqualTo(BigDecimal value) {
            addCriterion("CFWW =", value, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwNotEqualTo(BigDecimal value) {
            addCriterion("CFWW <>", value, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwGreaterThan(BigDecimal value) {
            addCriterion("CFWW >", value, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFWW >=", value, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwLessThan(BigDecimal value) {
            addCriterion("CFWW <", value, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFWW <=", value, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwIn(List<BigDecimal> values) {
            addCriterion("CFWW in", values, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwNotIn(List<BigDecimal> values) {
            addCriterion("CFWW not in", values, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFWW between", value1, value2, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwwNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFWW not between", value1, value2, "cfww");
            return (Criteria) this;
        }

        public Criteria andCfwsIsNull() {
            addCriterion("CFWS is null");
            return (Criteria) this;
        }

        public Criteria andCfwsIsNotNull() {
            addCriterion("CFWS is not null");
            return (Criteria) this;
        }

        public Criteria andCfwsEqualTo(BigDecimal value) {
            addCriterion("CFWS =", value, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsNotEqualTo(BigDecimal value) {
            addCriterion("CFWS <>", value, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsGreaterThan(BigDecimal value) {
            addCriterion("CFWS >", value, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFWS >=", value, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsLessThan(BigDecimal value) {
            addCriterion("CFWS <", value, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFWS <=", value, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsIn(List<BigDecimal> values) {
            addCriterion("CFWS in", values, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsNotIn(List<BigDecimal> values) {
            addCriterion("CFWS not in", values, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFWS between", value1, value2, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfwsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFWS not between", value1, value2, "cfws");
            return (Criteria) this;
        }

        public Criteria andCfnwIsNull() {
            addCriterion("CFNW is null");
            return (Criteria) this;
        }

        public Criteria andCfnwIsNotNull() {
            addCriterion("CFNW is not null");
            return (Criteria) this;
        }

        public Criteria andCfnwEqualTo(BigDecimal value) {
            addCriterion("CFNW =", value, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwNotEqualTo(BigDecimal value) {
            addCriterion("CFNW <>", value, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwGreaterThan(BigDecimal value) {
            addCriterion("CFNW >", value, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFNW >=", value, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwLessThan(BigDecimal value) {
            addCriterion("CFNW <", value, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFNW <=", value, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwIn(List<BigDecimal> values) {
            addCriterion("CFNW in", values, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwNotIn(List<BigDecimal> values) {
            addCriterion("CFNW not in", values, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFNW between", value1, value2, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnwNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFNW not between", value1, value2, "cfnw");
            return (Criteria) this;
        }

        public Criteria andCfnsIsNull() {
            addCriterion("CFNS is null");
            return (Criteria) this;
        }

        public Criteria andCfnsIsNotNull() {
            addCriterion("CFNS is not null");
            return (Criteria) this;
        }

        public Criteria andCfnsEqualTo(BigDecimal value) {
            addCriterion("CFNS =", value, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsNotEqualTo(BigDecimal value) {
            addCriterion("CFNS <>", value, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsGreaterThan(BigDecimal value) {
            addCriterion("CFNS >", value, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFNS >=", value, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsLessThan(BigDecimal value) {
            addCriterion("CFNS <", value, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFNS <=", value, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsIn(List<BigDecimal> values) {
            addCriterion("CFNS in", values, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsNotIn(List<BigDecimal> values) {
            addCriterion("CFNS not in", values, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFNS between", value1, value2, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfnsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFNS not between", value1, value2, "cfns");
            return (Criteria) this;
        }

        public Criteria andCfzgwdIsNull() {
            addCriterion("CFZGWD is null");
            return (Criteria) this;
        }

        public Criteria andCfzgwdIsNotNull() {
            addCriterion("CFZGWD is not null");
            return (Criteria) this;
        }

        public Criteria andCfzgwdEqualTo(BigDecimal value) {
            addCriterion("CFZGWD =", value, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdNotEqualTo(BigDecimal value) {
            addCriterion("CFZGWD <>", value, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdGreaterThan(BigDecimal value) {
            addCriterion("CFZGWD >", value, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFZGWD >=", value, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdLessThan(BigDecimal value) {
            addCriterion("CFZGWD <", value, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFZGWD <=", value, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdIn(List<BigDecimal> values) {
            addCriterion("CFZGWD in", values, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdNotIn(List<BigDecimal> values) {
            addCriterion("CFZGWD not in", values, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFZGWD between", value1, value2, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzgwdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFZGWD not between", value1, value2, "cfzgwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdIsNull() {
            addCriterion("CFZDWD is null");
            return (Criteria) this;
        }

        public Criteria andCfzdwdIsNotNull() {
            addCriterion("CFZDWD is not null");
            return (Criteria) this;
        }

        public Criteria andCfzdwdEqualTo(BigDecimal value) {
            addCriterion("CFZDWD =", value, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdNotEqualTo(BigDecimal value) {
            addCriterion("CFZDWD <>", value, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdGreaterThan(BigDecimal value) {
            addCriterion("CFZDWD >", value, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFZDWD >=", value, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdLessThan(BigDecimal value) {
            addCriterion("CFZDWD <", value, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFZDWD <=", value, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdIn(List<BigDecimal> values) {
            addCriterion("CFZDWD in", values, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdNotIn(List<BigDecimal> values) {
            addCriterion("CFZDWD not in", values, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFZDWD between", value1, value2, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfzdwdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFZDWD not between", value1, value2, "cfzdwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdIsNull() {
            addCriterion("CFPJWD is null");
            return (Criteria) this;
        }

        public Criteria andCfpjwdIsNotNull() {
            addCriterion("CFPJWD is not null");
            return (Criteria) this;
        }

        public Criteria andCfpjwdEqualTo(BigDecimal value) {
            addCriterion("CFPJWD =", value, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdNotEqualTo(BigDecimal value) {
            addCriterion("CFPJWD <>", value, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdGreaterThan(BigDecimal value) {
            addCriterion("CFPJWD >", value, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFPJWD >=", value, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdLessThan(BigDecimal value) {
            addCriterion("CFPJWD <", value, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFPJWD <=", value, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdIn(List<BigDecimal> values) {
            addCriterion("CFPJWD in", values, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdNotIn(List<BigDecimal> values) {
            addCriterion("CFPJWD not in", values, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFPJWD between", value1, value2, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfpjwdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFPJWD not between", value1, value2, "cfpjwd");
            return (Criteria) this;
        }

        public Criteria andCfwdxxIsNull() {
            addCriterion("CFWDXX is null");
            return (Criteria) this;
        }

        public Criteria andCfwdxxIsNotNull() {
            addCriterion("CFWDXX is not null");
            return (Criteria) this;
        }

        public Criteria andCfwdxxEqualTo(String value) {
            addCriterion("CFWDXX =", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxNotEqualTo(String value) {
            addCriterion("CFWDXX <>", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxGreaterThan(String value) {
            addCriterion("CFWDXX >", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxGreaterThanOrEqualTo(String value) {
            addCriterion("CFWDXX >=", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxLessThan(String value) {
            addCriterion("CFWDXX <", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxLessThanOrEqualTo(String value) {
            addCriterion("CFWDXX <=", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxLike(String value) {
            addCriterion("CFWDXX like", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxNotLike(String value) {
            addCriterion("CFWDXX not like", value, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxIn(List<String> values) {
            addCriterion("CFWDXX in", values, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxNotIn(List<String> values) {
            addCriterion("CFWDXX not in", values, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxBetween(String value1, String value2) {
            addCriterion("CFWDXX between", value1, value2, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfwdxxNotBetween(String value1, String value2) {
            addCriterion("CFWDXX not between", value1, value2, "cfwdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxIsNull() {
            addCriterion("CFSDXX is null");
            return (Criteria) this;
        }

        public Criteria andCfsdxxIsNotNull() {
            addCriterion("CFSDXX is not null");
            return (Criteria) this;
        }

        public Criteria andCfsdxxEqualTo(String value) {
            addCriterion("CFSDXX =", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxNotEqualTo(String value) {
            addCriterion("CFSDXX <>", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxGreaterThan(String value) {
            addCriterion("CFSDXX >", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxGreaterThanOrEqualTo(String value) {
            addCriterion("CFSDXX >=", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxLessThan(String value) {
            addCriterion("CFSDXX <", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxLessThanOrEqualTo(String value) {
            addCriterion("CFSDXX <=", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxLike(String value) {
            addCriterion("CFSDXX like", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxNotLike(String value) {
            addCriterion("CFSDXX not like", value, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxIn(List<String> values) {
            addCriterion("CFSDXX in", values, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxNotIn(List<String> values) {
            addCriterion("CFSDXX not in", values, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxBetween(String value1, String value2) {
            addCriterion("CFSDXX between", value1, value2, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsdxxNotBetween(String value1, String value2) {
            addCriterion("CFSDXX not between", value1, value2, "cfsdxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxIsNull() {
            addCriterion("CFSFXX is null");
            return (Criteria) this;
        }

        public Criteria andCfsfxxIsNotNull() {
            addCriterion("CFSFXX is not null");
            return (Criteria) this;
        }

        public Criteria andCfsfxxEqualTo(String value) {
            addCriterion("CFSFXX =", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxNotEqualTo(String value) {
            addCriterion("CFSFXX <>", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxGreaterThan(String value) {
            addCriterion("CFSFXX >", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxGreaterThanOrEqualTo(String value) {
            addCriterion("CFSFXX >=", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxLessThan(String value) {
            addCriterion("CFSFXX <", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxLessThanOrEqualTo(String value) {
            addCriterion("CFSFXX <=", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxLike(String value) {
            addCriterion("CFSFXX like", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxNotLike(String value) {
            addCriterion("CFSFXX not like", value, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxIn(List<String> values) {
            addCriterion("CFSFXX in", values, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxNotIn(List<String> values) {
            addCriterion("CFSFXX not in", values, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxBetween(String value1, String value2) {
            addCriterion("CFSFXX between", value1, value2, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andCfsfxxNotBetween(String value1, String value2) {
            addCriterion("CFSFXX not between", value1, value2, "cfsfxx");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}